/* Start Reserve Tour Modal */
.body__tour--off{
	overflow: hidden;
}
.reserve__tour--modal {
    width: 100%;
    height: 100%;
    position: fixed;
    right: 0;
	top: 0;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    background: rgba(0, 0, 0, .7);
    /* backdrop-filter: blur(3px); */
    visibility: hidden;
    z-index: 150;
	transition: all var(--time-fast);
}
.tour__btns--modal{
	border: 1px solid transparent;
    outline: none;
    padding: 12px;
    border-radius: var(--border-radius-btn-bottom-sheet,8px);
    background: var(--priymary-color);
    color: var(--text-white);
    font-size: 18px;
    width: 100%;
    cursor: pointer;
	font-family: inherit;
	/* font-weight: bold; */
}
.reserve__tour--main{
	width: 100%;
}
.parent__reserve--tour {
    position: relative;
    width: 100%;
	padding: 32px 10px 5px;
    background-color: #fff;
    border-top-left-radius: 24px;
    border-top-right-radius: 24px;
}
.reserve--tour--image{
	display: none;
}

.call__form--reserve {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 10px;
	direction: rtl;
	min-width: 100%;
	transition: all .3s;
	transform: translateX(0);
	padding-top: 0;
}

.form__title--reserve {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 15px;
    font-size: 14px;
}
.form__title-reserve--text{
	font-size: 16px;
	text-align: center;
}

.form__item--reserve {
    display: flex;
    flex-direction: column;
    gap: 5px;
	padding-bottom: 23px;
	position: relative;
}

.form__input--reserve:focus-visible {
    outline: none;
}

.form__input--reserve {
    border-radius: var(--border-radius-input-bottom-sheet,8px);
    border: 1px solid #E5E5E5;
    padding: 14px 10px;
    color: #3f3737;
    background-color: #FBFBFB;
}
.text-bold {
    font-weight: bold;
}

.form_label--reserve {
    font-size: 14px;
    color: #3f3737;
}

.form__btn--reserve {
	margin-top: 26px;
}
.form__btn--reserve:disabled{
	opacity: .7;
}

.close__modal-reserve{
	display: flex;
	justify-content: flex-end;
	visibility: hidden;
}

.close__modal-reserve img{
	cursor: pointer;
    width: 30px;
    height: 30px;
}

.close__modal-price {
	position: absolute;
    width: 35px;
    height: 35px;
    left: 50%;
    bottom: 20px;
    transform: translateX(-50%);
	cursor: pointer;
}

.close__modal-price svg {
    color: var(--text-white);
    stroke-width: 3px;
}

.show__password-icon {
    width: 20px;
    cursor: pointer;
    position: absolute;
    left: 7px;
    top: 30px;
    user-select: none;
}
.reserve__tour--loader{
	background: #fff;
    padding: 30px;
    border-radius: 15px;
    text-align: center;
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    transition: all .3s;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
    opacity: 0;
    visibility: hidden; 
}
.reserve__tour--loader-on{
	opacity: 1;
    visibility: visible;
}
.reserve__tour--modal--content{
	position: relative;
    width: 70px;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.reserve__tour--modal--content img{
	width: 40px;
    height: 40px;
    animation: pulseEditTourModal 1.5s infinite ease-in-out;
    -webkit-animation: pulseEditTourModal 1.5s infinite ease-in-out;
    -moz-animation: pulseEditTourModal 1.5s infinite ease-in-out;
    -ms-animation: pulseEditTourModal 1.5s infinite ease-in-out;
}
.reserve__tour--modal--content::after{
	content: "";
    width: 70px;
    height: 70px;
    border: 5px solid #ccdde9a8;
    border-top: 5px solid #95c4e6b2;
    border-radius: 50%;
    position: absolute;
    top: 0;
    left: 0;
    animation: tourLoaderModal 1.5s linear infinite;
    -webkit-animation: tourLoaderModal 1.5s linear infinite;
    -moz-animation: tourLoaderModal 1.5s linear infinite;
    -ms-animation: tourLoaderModal 1.5s linear infinite;
}
.reserve__tour--modal-title{
	margin-top: 10px;
    font-size: 16px;
    font-weight: 500;
    color: var(--text-dark);
}
.parent__reserve-tour--form{
	display: flex;
    overflow: hidden;
}
.parent__reserve-tour--success{
	background-color: var(--white);
    padding: 35px 10px 10px;
    width: 100%;
	min-width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: var(--border-radius-card);
	gap: 20px;
	transition: all .3s;
	transform: translateX(210%);
	justify-content: space-between;
}
.show__success--reserve .call__form--reserve{
	transform: translateX(-110%);
}
.show__success--reserve .parent__reserve-tour--success{
	transform: translateX(100%);
}
.reserve__tour--icon{
    display: flex;
    border-radius: 100%;
    padding: 5px;
    position: absolute;
    top: -50px;
    left: 50%;
    background: linear-gradient(212.78deg, #04BBFF 15.82%, #4C63FF 86.06%);
    width: 100px;
    height: 100px;
    align-items: center;
    justify-content: center;
    transform: translateX(-50%);
    opacity: 1;
    transition: opacity 0.3s;
    z-index: 2;
}
.not__valid--check .reserve__tour--icon{
	opacity: 0;
}
.reserve__tour--description{
	text-align: center;
	display: flex;
    flex-direction: column;
	justify-content: space-between;
    gap: 15px;
}
.reserve__tour--description--title{
	color: var(--text-blue);
    font-weight: bold;
    font-size: 24px;
}
.reserve__tour--description--text{
    color: var(--text-dark);
    font-size: 20px;
}
.close__reserve--tour{}
.reserve__header--icon{
	display: none;
}
.reserve__header--icon span{
	font-size: 1.2rem;
    font-weight: 500;
    color: var(--text-blue);
}
.not__valid--tour{
	background-color: var(--white);
    padding: 35px 10px 10px;
    width: 100%;
	min-width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: var(--border-radius-card);
	gap: 20px;
	transition: all .2s;
	opacity: 0;
	visibility: hidden;
	justify-content: space-between;
	position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    z-index: 2;
	border-top-left-radius: 24px;
	border-top-right-radius: 24px;
}
.fadeInTourModal .not__valid--check .not__valid--tour{
	opacity: 1;
	visibility: visible;
}
.fadeInTourModal {
    visibility: visible !important;
    opacity: 1;
}
.fadeOutTourModal {
    visibility: hidden;
    opacity: 0;
}
.input_error-txt--tour{
	color: var(--red);
    font-size: 12px;
	position: absolute;
    bottom: 0;
}
.star__inputs--tour{
	color: var(--red);
}
.input__error--tour{
	border-color: var(--red);
}
@keyframes pulseEditTourModal {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0.5;
    }
    100% {
        opacity: 1;
    }
}
@-webkit-keyframes pulseEditTourModal { /* Safari */
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0.5;
    }
    100% {
        opacity: 1;
    }
}
@keyframes tourLoaderModal {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
@-webkit-keyframes tourLoaderModal { /* Safari */
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@media screen and (min-width : 801px) {
	.parent__reserve--tour{
		width: 85%;
		border-radius: var(--border-radius-btn);
		padding: 10px;
	}
	.reserve__tour--modal.fadeIn .close__modal-reserve{
		flex-direction: row-reverse;
		visibility: visible;
	}
	.reserve__tour--main{
		display: flex;
		align-items: stretch;
		max-width: 950px;
		border-top-left-radius: 0;
        border-top-right-radius: 0;
	}
	.reserve__header--icon{
		display: flex;
		align-items: center;
		justify-content: center;
		flex-direction: column;
		gap: 10px;
	}
	.reserve--tour--image{
		display: flex;
		background-image: url(https://www.yejayekhoob.com/admin_panel/assets/images/admins.webp);
		background-position: center;
		background-size: cover;
		background-repeat: no-repeat;
		width: 100%;
		height: auto;
	}
	.reserve__tour--modal{
		align-items: center;
	}
	.reserve__tour--icon{
		display: none;
	}
}